Subject: Re: bug#19355: 25.0.50; limit the popup window height

From: martin rudalics <[email-masked]>
Date: Fri, 26 Dec 2014 10:13:20 +0100

> I tried your fixes now, and I see all improvements, but there is one thing
 > that doesn't look good.  The *Completions* buffer doesn't shrink anymore
 > if the window is larger than the buffer, e.g. after `M-x z TAB' now
 > it leaves too much empty unused screen space instead of shrinking.

Add (require 'zotelo) and (require 'zeal-at-point) to your .emacs to
make this look more behaved ;-)

In fact, the present behavior is that of Emacs 24.4 and that's what Leo
Liu asked for in this thread.  Unfortunately, nobody stepped forward to
say that the pure `fit-window-to-buffer' behavior you implemented was
better.  I think it was - but I hardly count since I practically always
use in-line completion.

So now people have to activate `temp-buffer-resize-mode' again in order
to make this work in your sense.  Unless you find a better solution.

martin

BTW: IIUC `with-displayed-buffer-window' may call `fit-window-to-buffer'
up to three times now.  Couldn't we cut that down a bit?